Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxAtmdAccUtopiaConfig::UtRxEnableFields_ Struct Reference [IXP425 ATM Driver Access (IxAtmdAcc) Utopia Control API] Utopia Rx enable Register. More...
## Data Fields
unsigned int | defineRxIdleGFC:1
| [31] This register is used to include or exclude the GFC field of the ATM header when testing for Idle cells
unsigned int | defineRxIdlePTI:1
| [30] This register is used to include or exclude the PTI field of the ATM header when testing for Idle cells
unsigned int | defineRxIdleCLP:1
| [29] This register is used to include or exclude the CLP field of the ATM header when testing for Idle cells
unsigned int | phyStatsRxEnb:1
| [28] This register is used to enable or disable ATM statistics gathering based on the specified PHY address as defined in RxStatsConfig register
unsigned int | vcStatsRxEnb:1
| [27] This register is used to enable or disable ATM statistics gathering based on a specific VPI/VCI address
unsigned int | vcStatsRxGFC:1
| [26] This register is used to include or exclude the GFC field of the ATM header when ATM VPI/VCI statistics are enabled
unsigned int | vcStatsRxPTI:1
| [25] This register is used to include or exclude the PTI field of the ATM header when ATM VPI/VCI statistics are enabled
unsigned int | vcStatsRxCLP:1
| [24] This register is used to include or exclude the CLP field of the ATM header when ATM VPI/VCI statistics are enabled
unsigned int | discardHecErr:1
| [23] Discard cells with an invalid HEC
unsigned int | discardParErr:1
| [22] Discard cells containing parity errors
unsigned int | discardIdle:1
| [21] Discard Idle Cells based on DefineIdle register values 1 - Discard IDLE cells 0 - IDLE cells passed
unsigned int | enbHecErrCnt:1
| [20] Enable Receive HEC Error Count
unsigned int | enbParErrCnt:1
| [19] Enable Parity Error Count 1 - Enable count of received cells containing Parity errors 0 - No count is maintained
unsigned int | enbIdleCellCnt:1
| [18] Enable Receive Idle Cell Count
unsigned int | enbSizeErrCnt:1
| [17] Enable Receive Size Error Count
unsigned int | enbRxCellCnt:1
| [16] Enable Receive Valid Cell Count of non-idle/non-error cells
unsigned int | reserved_1:3
| [15:13] These bits are always 0
unsigned int | rxCellOvrInt:1
| [12] Enable CBI Utopia Receive Status Condition if the RxCellCount register overflows
unsigned int | invalidHecOvrInt:1
| [11] Enable CBI Receive Status Condition if the InvalidHecCount register overflows
unsigned int | invalidParOvrInt:1
| [10] Enable CBI Receive Status Condition if the InvalidParCount register overflows 1 - CBI Receive Condition asserted
unsigned int | invalidSizeOvrInt:1
| [9] Enable CBI Receive Status Condition if the InvalidSizeCount register overflows
unsigned int | rxIdleOvrInt:1
| [8] Enable CBI Receive Status Condition if the RxIdleCount overflows
unsigned int | reserved_2:3
| [7:5] These bits are always 0
unsigned int | rxAddrMask:5
| [4:0] This register is used as a mask to allow the user to increase the PHY receive address range
## Detailed Description Utopia Rx enable Register. Definition at line 1396 of file IxAtmdAccCtrl.h. ## Field Documentation
unsigned int IxAtmdAccUtopiaConfig::UtRxEnableFields_::defineRxIdleCLP
| [29] This register is used to include or exclude the CLP field of the ATM header when testing for Idle cells 1 - CLP field is valid. 0 - CLP field ignored. Definition at line 1409 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxEnableFields_::defineRxIdleGFC
| [31] This register is used to include or exclude the GFC field of the ATM header when testing for Idle cells 1 - GFC field is valid. 0 - GFC field ignored. Definition at line 1399 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxEnableFields_::defineRxIdlePTI
| [30] This register is used to include or exclude the PTI field of the ATM header when testing for Idle cells 1 - PTI field is valid. 0 - PTI field ignored. Definition at line 1404 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxEnableFields_::discardHecErr
| [23] Discard cells with an invalid HEC 1 - Discard cells with HEC errors 0 - Cells with HEC errors are passed Definition at line 1441 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxEnableFields_::discardIdle
| [21] Discard Idle Cells based on DefineIdle register values 1 - Discard IDLE cells 0 - IDLE cells passed Definition at line 1449 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxEnableFields_::discardParErr
| [22] Discard cells containing parity errors 1 - Discard cells with parity errors 0 - Cells with parity errors are passed Definition at line 1445 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxEnableFields_::enbHecErrCnt
| [20] Enable Receive HEC Error Count 1 - Enable count of received cells containing HEC errors 0 - No count is maintained. Definition at line 1453 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxEnableFields_::enbIdleCellCnt
| [18] Enable Receive Idle Cell Count 1 - Enable count of Idle cells received. 0 - No count is maintained. Definition at line 1461 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxEnableFields_::enbParErrCnt
| [19] Enable Parity Error Count 1 - Enable count of received cells containing Parity errors 0 - No count is maintained Definition at line 1457 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxEnableFields_::enbRxCellCnt
| [16] Enable Receive Valid Cell Count of non-idle/non-error cells 1 - Enable count of valid cells received - non-idle/non-error 0 - No count is maintained. Definition at line 1469 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxEnableFields_::enbSizeErrCnt
| [17] Enable Receive Size Error Count 1 - Enable count of received cells of incorrect size 0 - No count is maintained. Definition at line 1465 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxEnableFields_::invalidHecOvrInt
| [11] Enable CBI Receive Status Condition if the InvalidHecCount register overflows 1 - CBI Receive Condition asserted. 0 - No CBI Receive Condition asserted Definition at line 1480 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxEnableFields_::invalidParOvrInt
| [10] Enable CBI Receive Status Condition if the InvalidParCount register overflows 1 - CBI Receive Condition asserted 0 - No CBI Receive Condition asserted Definition at line 1485 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxEnableFields_::invalidSizeOvrInt
| [9] Enable CBI Receive Status Condition if the InvalidSizeCount register overflows 1 - CBI Receive Status Condition asserted. ¸0 - No CBI Receive Status asserted Definition at line 1490 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxEnableFields_::phyStatsRxEnb
| [28] This register is used to enable or disable ATM statistics gathering based on the specified PHY address as defined in RxStatsConfig register 1 - Enable statistics for specified receive PHY address. 0 - Disable statistics for specified receive PHY address. Definition at line 1414 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxEnableFields_::reserved_1
| [15:13] These bits are always 0 Definition at line 1473 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxEnableFields_::reserved_2
| [7:5] These bits are always 0 Definition at line 1499 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxEnableFields_::rxAddrMask
| [4:0] This register is used as a mask to allow the user to increase the PHY receive address range The register should be programmed with the address-range limit, i.e. if set to 0x3 the address range increases to a maximum of 4 addresses. Definition at line 1501 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxEnableFields_::rxCellOvrInt
| [12] Enable CBI Utopia Receive Status Condition if the RxCellCount register overflows 1 - CBI Receive Status asserted. 0 - No CBI Receive Status asserted. Definition at line 1475 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxEnableFields_::rxIdleOvrInt
| [8] Enable CBI Receive Status Condition if the RxIdleCount overflows 1 - CBI Receive Condition asserted. 0 - No CBI Receive Condition asserted Definition at line 1495 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxEnableFields_::vcStatsRxCLP
| [24] This register is used to include or exclude the CLP field of the ATM header when ATM VPI/VCI statistics are enabled 1 - CLP field is valid. 0 - CLP field ignored. Definition at line 1436 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxEnableFields_::vcStatsRxEnb
| [27] This register is used to enable or disable ATM statistics gathering based on a specific VPI/VCI address 1 - Enable statistics for specified VPI/VCI address. 0 - Disable statistics for specified VPI/VCI address. Definition at line 1420 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxEnableFields_::vcStatsRxGFC
| [26] This register is used to include or exclude the GFC field of the ATM header when ATM VPI/VCI statistics are enabled GFC is only available at the UNI and uses the first 4-bits of the VPI field. 1 - GFC field is valid. 0 - GFC field ignored. Definition at line 1425 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtRxEnableFields_::vcStatsRxPTI
| [25] This register is used to include or exclude the PTI field of the ATM header when ATM VPI/VCI statistics are enabled 1 - PTI field is valid. 0 - PTI field ignored. Definition at line 1431 of file IxAtmdAccCtrl.h.
The documentation for this struct was generated from the following file: IxAtmdAccCtrl.h
Automatically generated from sources. © Intel Corp. 2003